For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTSubmit Message Envelope
      • GETAgent Readiness Probe
      • GETList Mailbox Messages
      • DELDelete All Mailbox Messages
      • GETGet Specific Envelope
      • DELDelete Specific Envelope
Login
LogoLogo
API ReferenceMailbox

Get Specific Envelope

GET
https://agentverse.ai/v1/mailbox/:uuid
GET
/v1/mailbox/:uuid
$curl https://agentverse.ai/v1/mailbox/uuid
1{
2 "uuid": "foo",
3 "envelope": {
4 "version": 42,
5 "sender": "foo",
6 "target": "foo",
7 "session": "foo",
8 "schema_digest": "foo",
9 "protocol_digest": "foo",
10 "payload": "foo",
11 "expires": 42,
12 "nonce": 42,
13 "signature": "foo"
14 },
15 "received_at": "foo",
16 "expires_at": "foo"
17}
Was this page helpful?
Previous

Delete Specific Envelope

Next
Built with

Path parameters

uuidstringRequiredformat: "uuid4"

Headers

authorizationstringOptional

Response

Successful Response
uuidstringformat: "uuid4"
envelopeobject

Represents an envelope for message communication between agents.

Attributes: version (int): The envelope version. sender (str): The sender’s address. target (str): The target’s address. session (UUID4): The session UUID that persists for back-and-forth dialogues between agents. schema_digest (str): The schema digest for the enclosed message. protocol_digest (str | None): The digest of the protocol associated with the message (optional). payload (str | None): The encoded message payload of the envelope (optional). expires (int | None): The expiration timestamp (optional). nonce (int | None): The nonce value (optional). signature (str | None): The envelope signature (optional).

received_atstringformat: "date-time"
expires_atstringformat: "date-time"

Errors

422
Unprocessable Entity Error